Index: /XIOS/dev/dev_olga/src/transformation/grid_generate.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/grid_generate.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/grid_generate.cpp	(revision 1612)
@@ -30,8 +30,10 @@
 */
 void CGridGenerate::selectScalarAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   CGenericAlgorithmTransformation* algo = 0;
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -43,8 +45,10 @@
 */
 void CGridGenerate::selectAxisAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   CGenericAlgorithmTransformation* algo = 0;
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -56,4 +60,5 @@
 */
 void CGridGenerate::selectDomainAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDestination_->getDomains();
@@ -89,4 +94,5 @@
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -94,4 +100,5 @@
 */
 void CGridGenerate::completeGrid()
+TRY
 {
   ListAlgoType::const_iterator itb = listAlgos_.begin(),
@@ -110,4 +117,5 @@
   }
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/grid_transformation.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/grid_transformation.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/grid_transformation.cpp	(revision 1612)
@@ -38,4 +38,5 @@
 */
 void CGridTransformation::selectScalarAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   std::vector<CScalar*> scaListDestP = gridDestination_->getScalars();
@@ -59,4 +60,5 @@
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -67,4 +69,5 @@
 */
 void CGridTransformation::selectAxisAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDestination_->getAxis();
@@ -88,4 +91,5 @@
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -96,4 +100,5 @@
 */
 void CGridTransformation::selectDomainAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder)
+TRY
 {
   std::vector<CDomain*> domainListDestP = gridDestination_->getDomains();
@@ -117,4 +122,5 @@
   algoTransformation_.push_back(algo);
 }
+CATCH
 
 /*!
@@ -123,4 +129,5 @@
 */
 std::map<int,std::pair<int,int> > CGridTransformation::getElementPosition(CGrid* grid)
+TRY
 {
   std::vector<CScalar*> scalarListP = grid->getScalars(); 
@@ -155,4 +162,5 @@
   return elementPosition;  
 }
+CATCH
 
 /*!
@@ -163,4 +171,5 @@
 */
 void CGridTransformation::setUpGridDestination(int elementPositionInGrid, ETranformationType transType)
+TRY
 {
   if (isSpecialTransformation(transType)) return;
@@ -240,4 +249,5 @@
   tempGridDests_.push_back(tmpGridDestination_);
 }
+CATCH
 
 /*!
@@ -249,4 +259,5 @@
 */
 void CGridTransformation::setUpGridSource(int elementPositionInGrid)
+TRY
 {
   if (!tempGridSrcs_.empty() && (getNbAlgo()-1) == tempGridSrcs_.size())
@@ -326,4 +337,5 @@
   tempGridSrcs_.push_back(gridSource_);
 }
+CATCH
 
 /*!
@@ -336,4 +348,5 @@
 */
 void CGridTransformation::computeAll(const std::vector<CArray<double,1>* >& dataAuxInputs, Time timeStamp)
+TRY
 {
   if (nbNormalAlgos_ < 1) return;
@@ -454,4 +467,5 @@
   }
 }
+CATCH
 
 /*!
@@ -460,4 +474,5 @@
 */
 void CGridTransformation::computeTransformationMapping(const SourceDestinationIndexMap& globaIndexWeightFromSrcToDst)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -682,4 +697,5 @@
 
 }
+CATCH
 
 /*!
@@ -688,7 +704,9 @@
 */
 const std::list<CGridTransformation::SendingIndexGridSourceMap>& CGridTransformation::getLocalIndexToSendFromGridSource() const
+TRY
 {
   return localIndexToSendFromGridSource_;
 }
+CATCH
 
 /*!
@@ -697,7 +715,9 @@
 */
 const std::list<CGridTransformation::RecvIndexGridDestinationMap>& CGridTransformation::getLocalIndexToReceiveOnGridDest() const
+TRY
 {
   return localIndexToReceiveOnGridDest_;
 }
+CATCH
 
 /*!
@@ -706,7 +726,9 @@
 */
 const std::list<size_t>& CGridTransformation::getNbLocalIndexToReceiveOnGridDest() const
+TRY
 {
   return nbLocalIndexOnGridDest_;
 }
-
-}
+CATCH
+
+}
Index: /XIOS/dev/dev_olga/src/transformation/grid_transformation_selector.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/grid_transformation_selector.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/grid_transformation_selector.cpp	(revision 1612)
@@ -47,4 +47,5 @@
  : gridSource_(source), gridDestination_(destination), isSameGrid_(false),
   listAlgos_(), algoTypes_(), nbNormalAlgos_(0), nbSpecialAlgos_(0), auxInputs_()
+TRY
 {
   if (0 == source)
@@ -62,4 +63,5 @@
   initializeTransformations(type);
 }
+CATCH
 
 /*!
@@ -70,4 +72,5 @@
 */
 void CGridTransformationSelector::initializeTransformations(TransformationType type)
+TRY
 {
   // Initialize algorithms
@@ -100,6 +103,8 @@
   }
 }
+CATCH
 
 CGridTransformationSelector::~CGridTransformationSelector()
+TRY
 {
   std::vector<CGenericAlgorithmTransformation*>::const_iterator itb = algoTransformation_.begin(), it,
@@ -107,4 +112,5 @@
   for (it = itb; it != ite; ++it) delete (*it);
 }
+CATCH
 
 /*!
@@ -112,4 +118,5 @@
 */
 void CGridTransformationSelector::updateElementPosition()
+TRY
 {
   int idxScalar = 0, idxAxis = 0, idxDomain = 0;
@@ -163,4 +170,5 @@
   }
 }
+CATCH
 
 /*!
@@ -168,4 +176,5 @@
 */
 void CGridTransformationSelector::initializeAlgorithms()
+TRY
 {
   updateElementPosition();
@@ -188,4 +197,5 @@
   }
 }
+CATCH
 
 /*!
@@ -197,4 +207,5 @@
 */
 void CGridTransformationSelector::initializeScalarAlgorithms(int scalarPositionInGrid)
+TRY
 {
   std::vector<CScalar*> scalarListDestP = gridDestination_->getScalars();
@@ -229,4 +240,5 @@
   }
 }
+CATCH
 
 /*!
@@ -238,4 +250,5 @@
 */
 void CGridTransformationSelector::initializeAxisAlgorithms(int axisPositionInGrid)
+TRY
 {
   std::vector<CAxis*> axisListDestP = gridDestination_->getAxis();
@@ -270,4 +283,5 @@
   }
 }
+CATCH
 
 /*!
@@ -278,4 +292,5 @@
 */
 void CGridTransformationSelector::initializeDomainAlgorithms(int domPositionInGrid)
+TRY
 {
   std::vector<CDomain*> domListDestP = gridDestination_->getDomains();
@@ -309,6 +324,6 @@
     }
   }
-
-}
+}
+CATCH
 
 /*!
@@ -321,4 +336,5 @@
 */
 void CGridTransformationSelector::selectAlgo(int elementPositionInGrid, ETranformationType transType, int transformationOrder, int algoType)
+TRY
 {
   updateElementPosition();
@@ -338,6 +354,8 @@
   }
 }
+CATCH
 
 bool CGridTransformationSelector::isSpecialTransformation(ETranformationType transType)
+TRY
 {
   bool res = false;
@@ -353,4 +371,5 @@
   return res;
 }
-
-}
+CATCH
+
+}
Index: /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_extract_axis.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1612)
@@ -26,4 +26,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CScalar*> scalarListDestP = gridDst->getScalars();
@@ -36,13 +37,17 @@
   return (new CScalarAlgorithmExtractAxis(scalarListDestP[scalarDstIndex], axisListSrcP[axisSrcIndex], extractAxis));
 }
+CATCH
 
 bool CScalarAlgorithmExtractAxis::registerTrans()
+TRY
 {
   CGridTransformationFactory<CScalar>::registerTransformation(TRANS_EXTRACT_AXIS_TO_SCALAR, create);
 }
+CATCH
 
 CScalarAlgorithmExtractAxis::CScalarAlgorithmExtractAxis(CScalar* scalarDestination, CAxis* axisSource, CExtractAxisToScalar* algo)
  : CScalarAlgorithmTransformation(scalarDestination, axisSource),
    reduction_(0)
+TRY
 {
   algo->checkValid(scalarDestination, axisSource);
@@ -51,4 +56,5 @@
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
 }
+CATCH
 
 void CScalarAlgorithmExtractAxis::apply(const std::vector<std::pair<int,double> >& localIndex,
@@ -57,14 +63,19 @@
                                          std::vector<bool>& flagInitial,                     
                                          bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 CScalarAlgorithmExtractAxis::~CScalarAlgorithmExtractAxis()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CScalarAlgorithmExtractAxis::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -77,4 +88,5 @@
   transWeight[0].push_back(1.0);
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_axis.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1612)
@@ -27,4 +27,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CScalar*> scalarListDestP = gridDst->getScalars();
@@ -37,13 +38,17 @@
   return (new CScalarAlgorithmReduceAxis(scalarListDestP[scalarDstIndex], axisListSrcP[axisSrcIndex], reduceAxis));
 }
+CATCH
 
 bool CScalarAlgorithmReduceAxis::registerTrans()
+TRY
 {
   CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_AXIS_TO_SCALAR, create);
 }
+CATCH
 
 CScalarAlgorithmReduceAxis::CScalarAlgorithmReduceAxis(CScalar* scalarDestination, CAxis* axisSource, CReduceAxisToScalar* algo)
  : CScalarAlgorithmTransformation(scalarDestination, axisSource),
    reduction_(0)
+TRY
 {
   if (algo->operation.isEmpty())
@@ -83,22 +88,30 @@
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
 }
+CATCH
 
 void CScalarAlgorithmReduceAxis::apply(const std::vector<std::pair<int,double> >& localIndex, const double* dataInput, CArray<double,1>& dataOut,
                                          std::vector<bool>& flagInitial, bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 void CScalarAlgorithmReduceAxis::updateData(CArray<double,1>& dataOut)
+TRY
 {
   reduction_->updateData(dataOut);
 }
+CATCH
 
 CScalarAlgorithmReduceAxis::~CScalarAlgorithmReduceAxis()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CScalarAlgorithmReduceAxis::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -116,4 +129,5 @@
   }
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_domain.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1612)
@@ -26,4 +26,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CScalar*> scalarListDestP = gridDst->getScalars();
@@ -36,13 +37,17 @@
   return (new CScalarAlgorithmReduceDomain(scalarListDestP[scalarDstIndex], domainListSrcP[domainSrcIndex], reduceDomain));
 }
+CATCH
 
 bool CScalarAlgorithmReduceDomain::registerTrans()
+TRY
 {
   CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_DOMAIN_TO_SCALAR, create);
 }
+CATCH
 
 CScalarAlgorithmReduceDomain::CScalarAlgorithmReduceDomain(CScalar* scalarDestination, CDomain* domainSource, CReduceDomainToScalar* algo)
  : CScalarAlgorithmTransformation(scalarDestination, domainSource),
    reduction_(0)
+TRY
 {
   algo->checkValid(scalarDestination, domainSource);
@@ -80,4 +85,5 @@
   local = algo->local ;
 }
+CATCH
 
 void CScalarAlgorithmReduceDomain::apply(const std::vector<std::pair<int,double> >& localIndex,
@@ -86,19 +92,26 @@
                                          std::vector<bool>& flagInitial,                     
                                          bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 void CScalarAlgorithmReduceDomain::updateData(CArray<double,1>& dataOut)
+TRY
 {
   reduction_->updateData(dataOut);
 }
+CATCH
 
 CScalarAlgorithmReduceDomain::~CScalarAlgorithmReduceDomain()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CScalarAlgorithmReduceDomain::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -137,4 +150,5 @@
   
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_scalar.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1612)
@@ -22,4 +22,5 @@
                                                                      std::map<int, int>& elementPositionInGridDst2AxisPosition,
                                                                      std::map<int, int>& elementPositionInGridDst2DomainPosition)
+TRY
 {
   std::vector<CScalar*> scalarListDestP = gridDst->getScalars();
@@ -32,13 +33,17 @@
   return (new CScalarAlgorithmReduceScalar(scalarListDestP[scalarDstIndex], scalarListSrcP[scalarSrcIndex], reduceScalar));
 }
+CATCH
 
 bool CScalarAlgorithmReduceScalar::registerTrans()
+TRY
 {
   CGridTransformationFactory<CScalar>::registerTransformation(TRANS_REDUCE_SCALAR_TO_SCALAR, create);
 }
+CATCH
 
 CScalarAlgorithmReduceScalar::CScalarAlgorithmReduceScalar(CScalar* scalarDestination, CScalar* scalarSource, CReduceScalarToScalar* algo)
  : CScalarAlgorithmTransformation(scalarDestination, scalarSource),
    reduction_(0)
+TRY
 {
   eliminateRedondantSrc_= false ;
@@ -79,22 +84,30 @@
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
 }
+CATCH
 
 void CScalarAlgorithmReduceScalar::apply(const std::vector<std::pair<int,double> >& localIndex, const double* dataInput, CArray<double,1>& dataOut,
                                          std::vector<bool>& flagInitial, bool ignoreMissingValue, bool firstPass)
+TRY
 {
   reduction_->apply(localIndex, dataInput, dataOut, flagInitial, ignoreMissingValue, firstPass);
 }
+CATCH
 
 void CScalarAlgorithmReduceScalar::updateData(CArray<double,1>& dataOut)
+TRY
 {
   reduction_->updateData(dataOut);
 }
+CATCH
 
 CScalarAlgorithmReduceScalar::~CScalarAlgorithmReduceScalar()
+TRY
 {
   if (0 != reduction_) delete reduction_;
 }
+CATCH
 
 void CScalarAlgorithmReduceScalar::computeIndexSourceMapping_(const std::vector<CArray<double,1>* >& dataAuxInputs)
+TRY
 {
   this->transformationMapping_.resize(1);
@@ -108,4 +121,5 @@
 
 }
+CATCH
 
 }
Index: /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_transformation.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_transformation.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/transformation/scalar_algorithm_transformation.cpp	(revision 1612)
@@ -57,4 +57,5 @@
                                                                 int elementSourceType,
                                                                 CClientClientDHTInt::Index2VectorInfoTypeMap& globalIndexElementSourceOnProc)
+TRY
 {
   CContext* context = CContext::getCurrent();
@@ -121,4 +122,4 @@
   }
 }
-
+CATCH
 }
Index: /XIOS/dev/dev_olga/src/type/type.hpp
===================================================================
--- /XIOS/dev/dev_olga/src/type/type.hpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/type/type.hpp	(revision 1612)
@@ -40,4 +40,5 @@
     virtual void fromString(const string& str)   { _fromString(str); }
     virtual string toString(void) const { return _toString(); }
+    virtual string dump(void) const { return _toString(); }
     virtual bool fromBuffer(CBufferIn& buffer) { return _fromBuffer(buffer) ; }
     virtual bool toBuffer(CBufferOut& buffer) const { return _toBuffer(buffer); }
Index: /XIOS/dev/dev_olga/src/xios_spl.hpp
===================================================================
--- /XIOS/dev/dev_olga/src/xios_spl.hpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/xios_spl.hpp	(revision 1612)
@@ -31,4 +31,5 @@
 /// boost headers ///
 #include <boost/cast.hpp>
+#include <boost/current_function.hpp>
 /// Map ///
 #define xios_map std::map
Index: /XIOS/dev/dev_olga/src/xml_parser.cpp
===================================================================
--- /XIOS/dev/dev_olga/src/xml_parser.cpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/xml_parser.cpp	(revision 1612)
@@ -14,4 +14,5 @@
 
       void CXMLParser::ParseFile(const StdString & filename, const std::set<StdString>& parseContextList)
+      TRY
       {
          StdIFStream ifs ( filename.c_str() , StdIFStream::in );
@@ -22,4 +23,5 @@
          CXMLParser::ParseStream(ifs, filename, parseContextList);
       }
+      CATCH
 
       void CXMLParser::ParseString(const StdString & xmlContent)
@@ -54,41 +56,75 @@
             std::set<StdString>::const_iterator itE = parseContextList.end();
             bool isParseAll = (parseContextList.empty());
-            if (node.goToChildElement())
+            try
             {
-               do
-               {
-                  CContextGroup* group_context = CContext::getRoot() ;
+              if (node.goToChildElement())
+              {
+                 do
+                 {
+                    CContextGroup* group_context = CContext::getRoot() ;
 
-                  attributes = node.getAttributes();
+                    attributes = node.getAttributes();
 
-                  if (attributes.end() == attributes.find("id"))
-                  {
-                     DEBUG("The context will not be processed because it is not identified (missing id)");
-                     continue;
-                  }
+                    if (attributes.end() == attributes.find("id"))
+                    {
+                       DEBUG("The context will not be processed because it is not identified (missing id)");
+                       continue;
+                    }
 
-                  CContext::setCurrent(attributes["id"]) ;
+                    CContext::setCurrent(attributes["id"]) ;
 
-
-                  if (isParseAll)
-                  {
-                    CContext* context = CContext::create(attributes["id"]);
-                    context->parse(node);
-
-                    attributes.clear();
-                  }
-                  else
-                  {
-                    it = parseContextList.find(attributes["id"]);
-                    if (itE != it)
+                    if (isParseAll)
                     {
-                      CContext* context = CContext::create(*it);
+                      CContext* context = CContext::create(attributes["id"]);
                       context->parse(node);
 
                       attributes.clear();
                     }
-                  }
-               } while (node.goToNextElement());
+                    else
+                    {
+                      it = parseContextList.find(attributes["id"]);
+                      if (itE != it)
+                      {
+                        CContext* context = CContext::create(*it);
+                        context->parse(node);
+
+                        attributes.clear();
+                      }
+                    }
+                 } while (node.goToNextElement());
+              }
             }
+            catch(CException& e)
+            {
+              CException::StackInfo stk;
+              stk.info.append("Exception occurred while parsing XML file \"");
+              stk.info.append(attributes["src"]);
+              stk.info.append("\".\n");
+              stk.file = FILE_NAME;
+              stk.function = FUNCTION_NAME;
+              stk.line = __LINE__;
+              e.stack.push_back(stk);
+              if (CXios::xiosStack)
+                throw;
+             else
+               throw 0;
+            }
+            catch(...)
+            {
+              CException exc;
+              CException::StackInfo stk;
+              stk.info.append("Exception occurred while parsing XML file \"");
+              stk.info.append(attributes["src"]);
+              stk.info.append("\".\n");
+              stk.file = FILE_NAME;
+              stk.function = FUNCTION_NAME;
+              stk.line = __LINE__;
+              exc.stack.push_back(stk);
+              if (CXios::xiosStack)
+                throw exc;
+             else
+               throw 0;
+            }
+
          }
          catch (rapidxml::parse_error & exc)
@@ -110,6 +146,6 @@
                   << "Error is occuring when parsing XML flux from <"<<fluxId<<"> at character "<< pos<<" line "<<lineNumber<<" column "<< columnNumber<< endl
                   << strLine<<endl
-                  << string(columnNumber-1,'x')<<'^'<<endl
-                  <<" Error : " << exc.what() )
+                  << string(columnNumber-1,'x')<<'^'<<endl)
+//                  <<" Error : " << exc.what() )
          }
       }
Index: /XIOS/dev/dev_olga/src/xml_parser.hpp
===================================================================
--- /XIOS/dev/dev_olga/src/xml_parser.hpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/xml_parser.hpp	(revision 1612)
@@ -5,4 +5,5 @@
 #include "xios_spl.hpp"
 #include "exception.hpp"
+#include "cxios.hpp"
 #include "xml_node.hpp"
 
Index: /XIOS/dev/dev_olga/src/xml_parser_impl.hpp
===================================================================
--- /XIOS/dev/dev_olga/src/xml_parser_impl.hpp	(revision 1611)
+++ /XIOS/dev/dev_olga/src/xml_parser_impl.hpp	(revision 1612)
@@ -39,6 +39,6 @@
                   << "Error is occuring when parsing XML flux from <"<<fluxId<<"> at character "<< pos<<" line "<<lineNumber<<" column "<< columnNumber<< endl
                   << strLine<<endl
-                  << string(columnNumber-1,'x')<<'^'<<endl
-                  <<" Error : " << exc.what() )
+                  << string(columnNumber-1,'x')<<'^'<<endl)
+//                  <<" Error : " << exc.what() )
          }
       }
